locked
AppV 4.6 to AppV 5.0 Conversion issue. RRS feed

  • General discussion

  • I am facing an issue while testing the appv 4.6 package for Appv 5.0 conversion.

    Below the exception it throws.

    Test-AppvLegacyPackage : Exception of type
    'Microsoft.AppV.LegacyPackages.Legacy.LegacyException' was thrown.
    At line:1 char:1

    + Test-AppvLegacyPackage -SourcePath 'C:\testing\IPSwitch WS_FTP_Pro 12.4'
    + ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
        + CategoryInfo          : NotSpecified: (:) [Test-AppvLegacyPackage], LegacyException
        + FullyQualifiedErrorId : NotSpecified,Microsoft.AppV.LegacyPackages.TestPackage Command


    Monday, September 14, 2015 10:20 AM

All replies

  • There are certain limitaions with  package converter prior to App-V 5.1.It will not convert scripts, packages with dependencies, and other certain customizations in the OSD file.

    The new App-V 5.1 has more advantage in case of converting from earlier 4.6 version.

    I am not sure about the failure in your case (LegacyException).Why not check for any scripts or dependency in the OSD files?If present remove them from the OSD, convert and then add them in the dynamic config file.

    I would recommend re-sequencing using App- V 5.0 or 5.1 sequencer(which ever suits your environment) in case if there are no customizations in the OSD to avoid future failure of the application.


    (Please click on "Vote as Helpful" and/or "Mark as Answer", if it has helped you. )

    Monday, September 14, 2015 12:00 PM
  • 5.1 converter does have significant improvements. If it doesn't convert there, you will probably need to resequence. Not every package is guaranteed to convert.

    Steve Bucci Microsoft

    Monday, September 14, 2015 9:18 PM